QGIS Application - Bug report #10651
Atlas printing: table object does not update properly
2014-06-19 10:23 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19050
Description

In the atlas preview mode when stepping through the atlas features, a filtered table is not updated correctly.

As an example | have one polygon layer and one point layer. The polygon layer is the atlas coverage layer. The "connected" point layer is
filtered in the print composer with the expression "within($geometry,$atlasfeaturegeometry)".

It works fine in the export to PDF, but not on screen in the preview mode.

Associated revisions

Revision 787f1a60 - 2014-06-23 03:13 PM - Nyall Dawson

[composer] Refresh attribute table filter when atlas feature changes (fix #10651)

History

#1 - 2014-06-23 06:14 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"787f1a60d0770266c03178170b2f70fea9313c93".

#2 - 2014-06-23 07:02 AM - Andreas Neumann

| can confirm that it works fine.

Many thanks for the fix!
